> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paycashless.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a tax rate

> Create a tax rate



## OpenAPI

````yaml POST /v1/tax_rates
openapi: 3.0.0
info:
  title: Paycashless API
  version: 1.1.0
servers:
  - url: https://api.paycashless.com
    description: Production
security: []
paths:
  /v1/tax_rates:
    post:
      tags:
        - tax_rates
      description: Create a tax rate
      parameters:
        - schema:
            type: string
            minLength: 1
            description: SHA-512 HMAC signature of the request payload using the API secret
            example: >-
              5e73d044c44d733fcf819ad3409aaaddca840d421b69cb0b04e2c750fc62ece7526d36296237663ad1f06f62a730c0466516507196b3ce6567493cc52a7cf63d
          required: true
          description: SHA-512 HMAC signature of the request payload using the API secret
          name: Request-Signature
          in: header
        - schema:
            type: string
            pattern: ^\d{10}$
            description: UNIX timestamp when the request was created (in seconds)
            example: '1712336881'
          required: true
          description: UNIX timestamp when the request was created (in seconds)
          name: Request-Timestamp
          in: header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                inclusive:
                  type: boolean
                description:
                  type: string
                active:
                  type: boolean
                percentage:
                  type: number
                taxType:
                  type: string
                  enum:
                    - vat
                    - sales_tax
                metadata:
                  type: object
                  additionalProperties:
                    anyOf:
                      - type: string
                      - type: number
              required:
                - name
                - inclusive
                - description
                - active
                - percentage
                - taxType
      responses:
        '201':
          description: Tax rate created
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  inclusive:
                    type: boolean
                  description:
                    type: string
                  active:
                    type: boolean
                  percentage:
                    type: number
                  taxType:
                    type: string
                    enum:
                      - vat
                      - sales_tax
                  rateType:
                    type: string
                    enum:
                      - fixed_amount
                      - percentage
                  fixedAmount:
                    type: number
                  metadata:
                    type: object
                    additionalProperties:
                      anyOf:
                        - type: string
                        - type: number
                  liveMode:
                    type: boolean
                required:
                  - id
                  - name
                  - inclusive
                  - description
                  - active
                  - percentage
                  - taxType
                  - rateType
                  - fixedAmount
                  - liveMode

````